com.oracle.truffle.object.basic

## Class BasicLocations

- java.lang.Object
- - com.oracle.truffle.object.basic.BasicLocations

    public abstract class BasicLocations
    extends java.lang.Object

Property location.

See Also:
  `Shape`, `Property`, `DynamicObject`

### Nested Class Summary

Nested Classes
`static class` `BasicLocations.ArrayLocation`
`static class` `BasicLocations.BooleanLocationDecorator`
`static class` `BasicLocations.DoubleLocationDecorator`
`static class` `BasicLocations.FieldLocation`
`static class` `BasicLocations.IntLocationDecorator`
`static class` `BasicLocations.LongArrayLocation`
`static class` `BasicLocations.LongFieldLocation`
`static class` `BasicLocations.LongLocationDecorator`
`static class` `BasicLocations.MethodHandleFieldLocation`
`static class` `BasicLocations.ObjectArrayLocation`
`static class` `BasicLocations.ObjectFieldLocation`
`static class` `BasicLocations.PrimitiveLocationDecorator`
`static class` `BasicLocations.SimpleLongFieldLocation`
`static class` `BasicLocations.SimpleObjectFieldLocation`

### Constructor Summary

Constructors
Constructor and Description
`BasicLocations()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicLocations

    public BasicLocations()